# 机构评级详情

`GET` `/v1/quote/institution-ratings/detail`

获取历史分析师评级及目标价详情。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 证券代码，例如 `TSLA.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/institution-ratings/detail?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `evaluate` | object | No | 评级分布历史 |
| `└ list` | object[] | No | 每日持仓历史记录， |
| `└ ∟ strong_buy` | integer | No | 强烈买入评级数量 |
| `└ ∟ buy` | integer | No | 买入评级数量 |
| `└ ∟ hold` | integer | No | 持有评级数量 |
| `└ ∟ sell` | integer | No | 卖出评级数量 |
| `└ ∟ under` | integer | No | 跑输市场评级数量 |
| `└ ∟ date` | string | No | 日期 |
| `target` | object | No | 目标价历史 |
| `└ updated_at` | string | No | 最近更新时间，Unix 时间戳（秒） |
| `└ prediction_accuracy` | string | No | 预测准确率。 |
| `└ list` | object[] | No | 每日持仓历史记录， |
| `└ ∟ timestamp` | string | No | Unix 时间戳 |
| `└ ∟ price` | string | No | 当日收盘价 |
| `└ ∟ meet` | boolean | No | 价格是否达到目标 |
| `└ ∟ avg_target` | string | No | 平均目标价 |
| `└ ∟ min_target` | string | No | 最低目标价 |
| `└ ∟ max_target` | string | No | 最高目标价 |
| `└ ∟ date` | string | No | 日期 |
| `└ data_percent` | string | No | 数据完整度百分比。 |
| `ccy_symbol` | string | No | 货币符号 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "ccy_symbol": "$",
    "evaluate": {
      "list": [
        {
          "date": "2021/05/14",
          "buy": 3,
          "hold": 11,
          "sell": 2,
          "strong_buy": 9,
          "under": 6
        }
      ]
    },
    "target": {
      "list": [
        {
          "broker_name": "Goldman Sachs",
          "date": "2026-04-30",
          "rating": "Buy",
          "target_price": "250.00"
        }
      ]
    }
  }
}
```
